import es
import keyvalues
import playerlib

def load():
    es.regsaycmd('!wbank','weaponbank/wbank')
    es.regclientcmd('!wbank','weaponbank/wbank')
    es.keygroupcreate('weaponbank')
    playerlist = es.createplayerlist()
    es.keycreate('weaponbank','menu')
    es.keycreate('weaponbank','max')
    for userid in playerlist:
        es.keycreate('weaponbank',str(userid))
        es.keysetvalue('weaponbank','menu',str(userid),'')
        es.keysetvalue('weaponbank',str(userid),'1','')
        es.keysetvalue('weaponbank',str(userid),'2','')
        es.keysetvalue('weaponbank',str(userid),'3','')
        es.keysetvalue('weaponbank',str(userid),'4','')
        es.keysetvalue('weaponbank',str(userid),'5','')
        es.keysetvalue('weaponbank',str(userid),'6','')
        es.keysetvalue('weaponbank',str(userid),'7','')
        es.keysetvalue('weaponbank',str(userid),'8','')
        es.keysetvalue('weaponbank',str(userid),'9','')

def unload():
    es.keygroupdelete('weaponbank')

def round_start(event_var):
    es.msg('#multi','#defaultType #green!wbank #defaultto access your Weapon Bank')

def player_activate(event_var):
    es.keycreate('weaponbank',event_var['userid'])
    es.keysetvalue('weaponbank','menu',event_var['userid'],'')
    es.keysetvalue('weaponbank',event_var['userid'],'1','')
    es.keysetvalue('weaponbank',event_var['userid'],'2','')
    es.keysetvalue('weaponbank',event_var['userid'],'3','')
    es.keysetvalue('weaponbank',event_var['userid'],'4','')
    es.keysetvalue('weaponbank',event_var['userid'],'5','')
    es.keysetvalue('weaponbank',event_var['userid'],'6','')
    es.keysetvalue('weaponbank',event_var['userid'],'7','')
    es.keysetvalue('weaponbank',event_var['userid'],'8','')
    es.keysetvalue('weaponbank',event_var['userid'],'9','')

def wbank():
    userid = es.getcmduserid()
    es.keysetvalue('weaponbank','menu',userid,'main')
    es.menu(0,userid,'Weapon Bank\n->1. Deposit\n->2. Withdraw\n0. Exit',120)

def es_client_command(event_var):
   if event_var['command'] == 'menuselect':
       if event_var['commandstring'] == '10':
           es.keysetvalue('weaponbank','menu',event_var['userid'],'0')
       menu = es.keygetvalue('weaponbank','menu',event_var['userid'])
       if menu == 'main':
           if event_var['commandstring'] == '1':
               es.keysetvalue('weaponbank','menu',event_var['userid'],'deposit')
               es.menu(0,event_var['userid'],'Weapon Bank - Deposit\n->1. Primary\n->2. Secondary\n0. Exit',120)
           if event_var['commandstring'] == '2':
               es.keysetvalue('weaponbank','menu',event_var['userid'],'withdrawal')
               menustring = 'Weapon Bank - Withdrawal'
               allowstring = '0'
               weaponbank = keyvalues.getKeyGroup("weaponbank")
               for k in weaponbank:
                   if str(k) == event_var['userid']:
                      for j in k:
                          weaponname = es.keygetvalue('weaponbank',event_var['userid'],str(j))
                          if weaponname != '':
                              allowstring = allowstring + str(j)
                              menustring = menustring + "\n->" + str(j) + ". " + weaponname
               if menustring == 'Weapon Bank - Withdrawal':
                   menustring = menustring + '\nNo Items in Bank'
               menustring = menustring + '\n0. Exit'
               es.menu(0,event_var['userid'],menustring,allowstring)
       if menu == 'deposit':
           if event_var['commandstring'] == '1':
               _deposit(event_var['userid'],1)
               es.keysetvalue('weaponbank','menu',event_var['userid'],'0')
           if event_var['commandstring'] == '2':
               _deposit(event_var['userid'],2)
               es.keysetvalue('weaponbank','menu',event_var['userid'],'0')
       if menu == 'withdrawal':
           _withdrawal(event_var['userid'],event_var['commandstring'])
           es.keysetvalue('weaponbank','menu',event_var['userid'],'0')

def _deposit(userid,slot):
    player = playerlib.getPlayer(userid)
    if slot == 1:
       gun = player.get('primary')
    if slot == 2:
       gun = player.get('secondary')
    if gun != '0':
        itemindex = 0
        weaponbank = keyvalues.getKeyGroup("weaponbank")
        for k in weaponbank:
            if str(k) == str(userid):
                for j in k:
                    weaponname = es.keygetvalue('weaponbank',userid,str(j))
                    if weaponname == '':
                        itemindex = j
                        break
        if itemindex != 0:
            es.keysetvalue('weaponbank',userid,itemindex,gun)
            index = player.get('weaponindex',gun)
            es.tell(userid,'#multi','#defaultYou deposited a #green' + gun + '#default.')
            es.remove(index)
            es.cexec(userid,'slot5;slot4;slot3;slot2;slot1')
        else:
            es.tell(userid,'You cannot deposit anymore weapons.')
    else:
       es.tell(userid,'You dont have a weapon in that slot.')

def _withdrawal(userid,slot):
    weaponname = es.keygetvalue('weaponbank',userid,slot)
    if weaponname != '':
        es.tell(userid,'#multi','#defaultYou withdrew a #green' + weaponname + '#default.')
        es.give(userid,'weapon_' + weaponname)
        es.keysetvalue('weaponbank',userid,slot,'')